Comment 2 for bug 1756788

Jeremy Bicha (jbicha) wrote :

We need to write AppStream metadata for gnome-session-properties and add the compulsory_for_desktop field. It's the opposite of what this patch does:
https://salsa.debian.org/gnome-team/epiphany-browser/blob/debian/master/debian/patches/dont-make-compulsory.patch

Alternatively, we could add a new binary package for the gnome-session-properties app to actually allow it to be uninstalled.